<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
	<f:metadata>
		<f:event listener="#{UserBean.carregarId(param['id'])}" type ="preRenderView"> </f:event>
	</f:metadata>
		<h:form>
			<h:inputHidden id="id" value="#{UserBean.id}" />
			Nome: <h:inputText value="#{UserBean.nome}" name="nome" id="nome"/>
			<br />
			E-mail: <h:inputText value="#{UserBean.email}" name="email" id="email"/>
			<br />
			Senha: <h:inputSecret value="#{UserBean.senha}" name="senha" id="senha"/>
			<br />
			<h:commandButton action="#{UserBean.editar}" value="Editar"/>
		</h:form>
</html>
